Update Coworld commissioner image
curl --request POST \
--url https://softmax.com/api/observatory/v2/coworlds/patch-commissioner \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"coworld_name": "<string>",
"container_image_id": "<string>"
}
'import requests
url = "https://softmax.com/api/observatory/v2/coworlds/patch-commissioner"
payload = {
"coworld_name": "<string>",
"container_image_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({coworld_name: '<string>', container_image_id: '<string>'})
};
fetch('https://softmax.com/api/observatory/v2/coworlds/patch-commissioner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"version": "<string>",
"manifest": {},
"api_version": "<string>",
"schema_hash": "<string>",
"manifest_hash": "<string>",
"size_bytes": 123,
"canonical": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Coworlds
Update Coworld commissioner image
Publishes a new Coworld version with an updated commissioner image.
POST
/
v2
/
coworlds
/
patch-commissioner
Update Coworld commissioner image
Authorizations
Bearer token issued by Softmax
Body
application/json
Coworld name to update.
Minimum string length:
1Ready container image for the commissioner runnable.
Pattern:
^img_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Commissioner runnable ID. Required when the Coworld defines more than one.
Version for the published Coworld update.
Response
Successful Response
Coworld version ID.
Coworld name.
Coworld version.
Published Coworld manifest.
Coworld API version declared by the manifest.
Hash of the Coworld schema.
SHA-256 hash of the published manifest.
Manifest size in bytes.
Whether this is the canonical version for the Coworld name.